Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(133)

Issue 340903002: Revert "Subpixel precision for clientWidth, offsetWidth, scrollTop et al" (Closed)

Created:
5 years, 11 months ago by eae
Modified:
5 years, 11 months ago
CC:
blink-reviews, blink-reviews-html_chromium.org, arv+blink, sof, eae+blinkwatch, abarth-chromium, blink-reviews-dom_chromium.org, dglazkov+blink, blink-reviews-bindings_chromium.org, Inactive, watchdog-blink-watchlist_google.com, rwlbuis
Project:
blink
Visibility:
Public.

Description

Revert "Subpixel precision for clientWidth, offsetWidth, scrollTop et al" Revert back to full pixel precision for the clientHeight, clientWidth, clientLeft, clientTop, scrollTop, scrollLeft, scrollWidth, scrollHeight, offsetWidth, offsetHeight, offsetTop, and offsetLeft properties. Turns out the world isn't quite ready for these to return values with subpixel precision. This reverts r173426 [1]. BUG=378052, 382889, 380146, 386500 R=pdr@chromium.org 1: https://src.chromium.org/viewvc/blink?revision=173426&view=revision Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=176545

Patch Set 1 #

Patch Set 2 : Patch for landing #

Unified diffs Side-by-side diffs Delta from patch set Stats (+98 lines, -65 lines) Patch
M LayoutTests/TestExpectations View 1 1 chunk +30 lines, -0 lines 0 comments Download
M Source/bindings/v8/custom/V8ElementCustom.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/dom/Element.h View 1 1 chunk +14 lines, -14 lines 0 comments Download
M Source/core/dom/Element.cpp View 1 9 chunks +22 lines, -22 lines 0 comments Download
M Source/core/dom/Element.idl View 1 1 chunk +12 lines, -12 lines 0 comments Download
M Source/core/html/HTMLBodyElement.h View 1 chunk +6 lines, -6 lines 0 comments Download
M Source/core/html/HTMLBodyElement.cpp View 7 chunks +12 lines, -9 lines 0 comments Download

Messages

Total messages: 20 (0 generated)
eae
5 years, 11 months ago (2014-06-18 20:34:55 UTC) #1
eae
5 years, 11 months ago (2014-06-18 21:51:37 UTC) #2
eae
5 years, 11 months ago (2014-06-18 22:09:58 UTC) #3
eae
This is a fix for three blocking bugs so a review at some point would ...
5 years, 11 months ago (2014-06-19 00:23:44 UTC) #4
pdr.
On 2014/06/19 00:23:44, eae wrote: > This is a fix for three blocking bugs so ...
5 years, 11 months ago (2014-06-19 00:33:40 UTC) #5
eae
Thanks pdr! To unsubscribe from this group and stop receiving emails from it, send an ...
5 years, 11 months ago (2014-06-19 00:36:37 UTC) #6
pdr.
On 2014/06/19 00:36:37, eae wrote: > Thanks pdr! > > To unsubscribe from this group ...
5 years, 11 months ago (2014-06-19 03:43:59 UTC) #7
pdr.
The CQ bit was checked by pdr@chromium.org
5 years, 11 months ago (2014-06-19 03:44:16 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/eae@chromium.org/340903002/1
5 years, 11 months ago (2014-06-19 03:45:29 UTC) #9
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 11 months ago (2014-06-19 04:38:08 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: blink_presubmit on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/blink_presubmit/builds/7993)
5 years, 11 months ago (2014-06-19 04:38:09 UTC) #11
pdr.
+cc haraken and/or nbarth for Source/bindings
5 years, 11 months ago (2014-06-19 04:44:04 UTC) #12
eseidel
rslgtm
5 years, 11 months ago (2014-06-19 17:02:11 UTC) #13
eae
The CQ bit was checked by eae@chromium.org
5 years, 11 months ago (2014-06-19 17:07:25 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/eae@chromium.org/340903002/1
5 years, 11 months ago (2014-06-19 17:08:32 UTC) #15
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 11 months ago (2014-06-19 18:43:40 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: mac_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/mac_blink_rel/builds/12058)
5 years, 11 months ago (2014-06-19 18:43:42 UTC) #17
eae
The CQ bit was checked by eae@chromium.org
5 years, 11 months ago (2014-06-19 19:42:40 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/eae@chromium.org/340903002/20001
5 years, 11 months ago (2014-06-19 19:42:54 UTC) #19
commit-bot: I haz the power
5 years, 11 months ago (2014-06-19 20:48:44 UTC) #20
Message was sent while issue was closed.
Change committed as 176545

Powered by Google App Engine
This is Rietveld 408576698